LKB = love.keyboard
LG = love.graphics
gbla = 100 
gGame = {status="load"}	--status:ingame/menu
gt = 0
gplayers = {}

res_w = 1024
res_h = 768
level = {}
require "other"

TLfres = require "tlfres"
require "ingame"
require "menu"
require "game"
require "players"
require "clickbuttons"

view1 = newView (res_w/4, res_h/4, "view1") --{ canvas = love.graphics.newCanvas(res_w/4, res_h/4) }
view2 = newView (res_w/3, res_h/3, "view2") --{ canvas = love.graphics.newCanvas(res_w/4, res_h/4) }
mouseView = newView (res_w/2, res_h/3, "mouseView") --{ canvas = love.graphics.newCanvas(res_w/4, res_h/4) }


gFont = {}
gFont.small = LG.newFont("november.regular.ttf", 20 )
gFont.normal = LG.newFont("november.regular.ttf", 18 )



function love.load ()
	menuLoad ()
	love.window.setMode (res_w, res_h, {fullscreen=true})
	loadLevel (1)
	addPlayer ("a","d","w","s","x")
	addPlayer ("j","l","i","k",",")
	changeGameStatus ("ingame")
end

function love.update(dt)
	gt=gt+dt
	if gGame.status == "ingame" then ingameUpdate (dt) end
	if gGame.status == "menu" then menuUpdate (dt) end
end
    
function love.draw()
	love.graphics.push()
	TLfres.beginRendering(res_w, res_h,false)
		love.graphics.setColor(1,0.5, 1, 1)

	love.graphics.setColor(0, 0, 1, 1)
	love.graphics.rectangle ("line", 0, 0, res_w, res_h)
	LG.setFont (gFont.small)
	LG.print("gt:"..gt .. "	leveldata:"..levelData, 100, 300)
   	if gGame.status == "ingame" then ingameDraw () end
   	if gGame.status == "menu" then menuDraw () end
	love.graphics.print("FPS: "..tostring(love.timer.getFPS( )), 10, 10)
	LG.print("player1: asdw  player2:jlik  space:toggle splitscreens", 0, res_h-30)

	TLfres.endRendering({0.1,0,0.1})
	love.graphics.pop()
end

function love.keypressed(key, unicode)
	if gGame.status == "ingame" then ingameKeyPressed (key,unicode) return end
	if gGame.status == "menu" then menuKeyPressed (key,unicode) return end
end

