menuButtons = {}

local xshuffle = 0

function menuKeyPressed (key, unicode)
	if key == "escape" then love.event.push("quit") end
end

--called once in love.load
function menuLoad ()
	addButton (menuButtons, 100, 100, 150, 30, "Start Game", "startbutton")
	addButton (menuButtons, 100, 700, 150, 30, "Quit", "quitbutton")

	addButton (menuButtons, res_w/2-220, res_h/4+390, 150, 50, "Hello there", "hellobutton", {"AA","BB","CC"}, 1)
end

function menuDraw ()
   	LG.setFont (gFont.normal)
	love.graphics.print("MENU", 300 + xshuffle, 30)
	drawButtons (menuButtons)

end

function menuUpdate (dt)
	xshuffle = xshuffle + (25*dt)
	if xshuffle > 100 then xshuffle = 0 end
	local buttonName, buttoni = clickedButton (menuButtons)
	if buttonName == "startbutton" then changeGameStatus ("ingame") end
	if buttonName == "quitbutton" then love.event.push("quit") end

end
